## ros-noetic-smach 2.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(smach)

find_package(catkin REQUIRED COMPONENTS)

catkin_python_setup()

catkin_package()

## ros-noetic-smach 2.5.1

=== debian/changelog ===
ros-noetic-smach (2.5.1-1buster) buster; urgency=high

  * Fix: state machines cannot be pickled #86 <https://github.com/ros/executive_smach/issues/86>
  * Fix: Python 3.9 compatibility  #82 <https://github.com/ros/executive_smach/issues/82>
  * Typo

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 05:00:00 -0000

ros-noetic-smach (2.5.0-1buster) buster; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Update state.py Docstrings' @type descriptions #59 <https://github.com/ros/executive_smach/issues/59>
  * Typo set_shutdown_cb() --> set_shutdown_check() #56 <https://github.com/ros/executive_smach/issues/56>
  * Contributors: Isaac I.Y. Saito, Joseph Coombe, Shane Loretz, ahcorde, cclauss

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-noetic-smach (2.0.1-1buster) buster; urgency=high

  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-noetic-smach (2.0.0-1buster) buster; urgency=high

  * Merging changes, resolving conflicts, from strands-project (@cburbridge)
  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Fix get_internal_edges returning list of tuples, not list of lists
  * Remove old methods set_userdata
  * Remove superfluous parent class declaration 'UserData' from 'Remapper'
  * Add local error base class 'SmachError', extending Exception
  * Fix syntax errors, doc typos and indentations glitches
  * Fixed invalid exception type in concurrence.py
  * Checking threads have fully terminated before cleanup of outcomes dict
    This commit uses thread.isAlive() on each concurrent state runner to check for termination of all the threads before continuing. This is necessary as only checking that the outcome has been filled in does not mean the thread has completed; if the thread has not completed it may not yet have called the termination callback. If this loop exits before the termination callback of the last thread is called, then the callback will occasionally be sent an empty dictionary (when the main thread has got to line 305).
  * cope with missed state termination notifications
    Concurrent states could terminate and notify _ready_event without the concurrence container realising, as it could be busy checking the outcome values. This makes the concurrency container get stuck on line 250. This commit adds a timeout to the wait to safely cope with missing notifications.
  * Adding event for thread synchronization in concurrence and using event not condition in monitor state
  * Contributors: Felix Kolbe, Jonathan Bohren, Piotr Orzechowski, cburbridge

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-noetic-smach (1.3.1-1buster) buster; urgency=high

  * adding changelogs
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-smach
Section: misc
Priority: optional
Maintainer: Isaac I. Y. Saito <gm130s@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-smach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: SMACH is a task-level architecture for rapidly creating complex robot behavior.
 At its core, SMACH is a ROS-independent Python library to build hierarchical state machines. SMACH is a new library that takes advantage of very old concepts in order to quickly create robust robot behavior with maintainable and modular code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-smach//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-smach 2.5.2

=== debian/changelog ===
ros-noetic-smach (2.5.2-1focal) focal; urgency=high

  * Fix outcome_map disambiguation for Concurrence #80 <https://github.com/ros/executive_smach/issues/80>
  * Fix is_running behaviour in case of exception in the state #50 <https://github.com/ros/executive_smach/issues/50>
  * Executing an empty Concurrence container hangs forever #51 <https://github.com/ros/executive_smach/issues/51>

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Tue, 13 Jun 2023 04:00:00 -0000

ros-noetic-smach (2.5.1-1focal) focal; urgency=high

  * Fix: state machines cannot be pickled #86 <https://github.com/ros/executive_smach/issues/86>
  * Fix: Python 3.9 compatibility  #82 <https://github.com/ros/executive_smach/issues/82>
  * Typo

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 05:00:00 -0000

ros-noetic-smach (2.5.0-1focal) focal; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Update state.py Docstrings' @type descriptions #59 <https://github.com/ros/executive_smach/issues/59>
  * Typo set_shutdown_cb() --> set_shutdown_check() #56 <https://github.com/ros/executive_smach/issues/56>
  * Contributors: Isaac I.Y. Saito, Joseph Coombe, Shane Loretz, ahcorde, cclauss

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-noetic-smach (2.0.1-1focal) focal; urgency=high

  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-noetic-smach (2.0.0-1focal) focal; urgency=high

  * Merging changes, resolving conflicts, from strands-project (@cburbridge)
  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Fix get_internal_edges returning list of tuples, not list of lists
  * Remove old methods set_userdata
  * Remove superfluous parent class declaration 'UserData' from 'Remapper'
  * Add local error base class 'SmachError', extending Exception
  * Fix syntax errors, doc typos and indentations glitches
  * Fixed invalid exception type in concurrence.py
  * Checking threads have fully terminated before cleanup of outcomes dict
    This commit uses thread.isAlive() on each concurrent state runner to check for termination of all the threads before continuing. This is necessary as only checking that the outcome has been filled in does not mean the thread has completed; if the thread has not completed it may not yet have called the termination callback. If this loop exits before the termination callback of the last thread is called, then the callback will occasionally be sent an empty dictionary (when the main thread has got to line 305).
  * cope with missed state termination notifications
    Concurrent states could terminate and notify _ready_event without the concurrence container realising, as it could be busy checking the outcome values. This makes the concurrency container get stuck on line 250. This commit adds a timeout to the wait to safely cope with missing notifications.
  * Adding event for thread synchronization in concurrence and using event not condition in monitor state
  * Contributors: Felix Kolbe, Jonathan Bohren, Piotr Orzechowski, cburbridge

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-noetic-smach (1.3.1-1focal) focal; urgency=high

  * adding changelogs
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000
